Retrieve a list of promotions according to filters

Find multiple promotions using a set of fields to filter the result.

Multiple parameters will be treated as an 'AND' condition - only promotions matching all the parameters will be returned. By default, active promotions that have not ended will be returned where no filters are supplied.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

Use to match the status of the promotions.

Allowed:
string

Use to fully or partially match the title of the promotions. Case insensitive.

string

Use to match promotions assigned to a specific external partner ID.

string

Use to match promotions assigned to a specific external user ID.

integer

Use to match promotions created by a specific Uniqodo user ID.

string
enum

Use to match promotions by their time-relative state, evaluated against the current time:

  • live — the promotion has started and has not yet ended (startsAt <= now < endsAt).

  • scheduled — the promotion has not started yet (startsAt > now).

  • expired — the promotion has already ended (endsAt <= now).

This filter is independent of status. Combine the two when needed — for example, status=paused&timeStatus=live to retrieve promotions that are live in respect of time (startDate - endDate range) but paused. Consequently, to retrieve a list of active and live promotions use status=active&timeStatus=live.

Allowed:
string
enum

Use to define the order in which promotions are returned in the response.

Allowed:
number
≤ 50

Limit the number of promotions to be returned. Default maximum and highest value: 50.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json